*pbp_Section_C_1.sas;

libname out '.\sas_data_sets\PBP';
options pageno=1 linesize = 200 nocenter;

data pbp_Section_C_1;

length
	pbp_a_hnumber                    $5
	pbp_a_plan_identifier            $3
	pbp_a_ben_cov                    $1
	pbp_a_plan_type                  $2
	orgtype                          $2
	bid_id                           $13
	pbp_c_oon_yn                     $1
	pbp_c_oon_bendesc_cats           $50
	pbp_c_oon_coins_ihs_yn           $1
	pbp_c_oon_coins_ihs_ben_type     $2
	pbp_c_oon_coins_iha_intrvl_num   $1
	pbp_c_oon_coins_iha_cov          $1
	pbp_c_oon_coins_iph_intrvl_num   $1
	pbp_c_oon_coins_iph_cov          $1
	pbp_c_oon_copay_ihs_yn           $1
	pbp_c_oon_copay_ihs_ben_type     $2
	pbp_c_oon_copay_iha_intrvl_num   $1
	pbp_c_oon_copay_iph_intrvl_num   $1
	pbp_c_oon_ihs_ded_yn             $1
	pbp_c_oon_ihs_ded_cost_type      $3
	pbp_c_pos_yn                     $1
	pbp_c_pos_bendesc_amo            $1
	pbp_c_pos_bendesc_subcats        $47
	pbp_c_pos_maxplan_yn             $1
	pbp_c_pos_maxplan_subcats        $47
	pbp_c_pos_maxplan_per            $1
	pbp_c_pos_maxplan_cov            $1
	pbp_c_pos_maxenr_oopc_yn         $1
	pbp_c_pos_ded_yn                 $1
	pbp_c_pos_maxenr_oopc_per        $1
	pbp_c_pos_auth_yn                $1
	pbp_c_pos_auth_subcats           $47
	pbp_c_pos_auth                   $5
	pbp_c_pos_referral_yn            $1
	pbp_c_pos_referral_subcats       $47
	pbp_c_pos_ihs_maxplan_per        $1
	pbp_c_pos_ihs_maxplan_cov        $1
	pbp_c_pos_ihs_maxplan_yn         $1
	pbp_c_pos_ihs_maxplan_type       $3
	pbp_c_pos_coins_ihs_yn           $1
	pbp_c_pos_coins_ihs_ben_type     $2
	pbp_c_pos_coins_iha_intrvl_num   $1
	pbp_c_pos_coins_iha_cov          $1
	pbp_c_pos_coins_iph_intrvl_num   $1
	pbp_c_pos_coins_iph_cov          $1
	pbp_c_pos_copay_ihs_yn           $1
	pbp_c_pos_copay_ihs_ben_type     $2
	pbp_c_pos_copay_iha_intrvl_num   $1
	pbp_c_pos_copay_iph_intrvl_num   $1
	pbp_c_pos_ihs_ded_yn             $1
	pbp_c_pos_ihs_ded_type           $3
	pbp_c_csr_yn                     $1
	pbp_c_csr_bendesc_subcats        $50
	pbp_c_csr_coins_ihs_ben_type     $2
	pbp_c_csr_coins_ihs_yn           $1
	pbp_c_csr_coins_iha_intrvl_num   $1
	pbp_c_csr_coins_iph_intrvl_num   $1
	pbp_c_csr_copay_ihs_yn           $1
	pbp_c_csr_copay_ihs_ben_type     $2
	pbp_c_csr_copay_iha_intrvl_num   $1
	pbp_c_csr_copay_iph_intrvl_num   $1
	pbp_c_csr_ihs_ded_yn             $1
	pbp_c_csr_ihs_ded_cost_type      $3
;

infile '.\pbp\pbp_Section_C_1.txt' delimiter = '09'x
dsd lrecl = 30000 firstobs=2 missover;


input
	pbp_a_hnumber
	pbp_a_plan_identifier
	segment_id
	pbp_a_ben_cov
	pbp_a_plan_type
	orgtype
	bid_id
	version
	pbp_c_oon_yn
	pbp_c_oon_bendesc_cats
	pbp_c_oon_coins_ihs_yn
	pbp_c_oon_coins_ihs_ben_type
	pbp_c_oon_coins_iha_pct
	pbp_c_oon_coins_iha_intrvl_num
	pbp_c_oon_coins_iha_pct_i1
	pbp_c_oon_coins_iha_bgnd_i1
	pbp_c_oon_coins_iha_endd_i1
	pbp_c_oon_coins_iha_pct_i2
	pbp_c_oon_coins_iha_bgnd_i2
	pbp_c_oon_coins_iha_endd_i2
	pbp_c_oon_coins_iha_pct_i3
	pbp_c_oon_coins_iha_bgnd_i3
	pbp_c_oon_coins_iha_endd_i3
	pbp_c_oon_coins_iha_cov
	pbp_c_oon_coins_iph_pct
	pbp_c_oon_coins_iph_intrvl_num
	pbp_c_oon_coins_iph_pct_i1
	pbp_c_oon_coins_iph_bgnd_i1
	pbp_c_oon_coins_iph_endd_i1
	pbp_c_oon_coins_iph_pct_i2
	pbp_c_oon_coins_iph_bgnd_i2
	pbp_c_oon_coins_iph_endd_i2
	pbp_c_oon_coins_iph_pct_i3
	pbp_c_oon_coins_iph_bgnd_i3
	pbp_c_oon_coins_iph_endd_i3
	pbp_c_oon_coins_iph_cov
	pbp_c_oon_copay_ihs_yn
	pbp_c_oon_copay_ihs_ben_type
	pbp_c_oon_copay_iha_ps_amt
	pbp_c_oon_copay_iha_intrvl_num
	pbp_c_oon_copay_iha_amt_i1
	pbp_c_oon_copay_iha_bgnd_i1
	pbp_c_oon_copay_iha_endd_i1
	pbp_c_oon_copay_iha_amt_i2
	pbp_c_oon_copay_iha_bgnd_i2
	pbp_c_oon_copay_iha_endd_i2
	pbp_c_oon_copay_iha_amt_i3
	pbp_c_oon_copay_iha_bgnd_i3
	pbp_c_oon_copay_iha_endd_i3
	pbp_c_oon_copay_iph_ps_amt
	pbp_c_oon_copay_iph_intrvl_num
	pbp_c_oon_copay_iph_amt_i1
	pbp_c_oon_copay_iph_bgnd_i1
	pbp_c_oon_copay_iph_endd_i1
	pbp_c_oon_copay_iph_amt_i2
	pbp_c_oon_copay_iph_bgnd_i2
	pbp_c_oon_copay_iph_endd_i2
	pbp_c_oon_copay_iph_amt_i3
	pbp_c_oon_copay_iph_bgnd_i3
	pbp_c_oon_copay_iph_endd_i3
	pbp_c_oon_ihs_ded_yn
	pbp_c_oon_ihs_ded_cost_type
	pbp_c_oon_ihs_ded_acu_amt
	pbp_c_oon_ihs_ded_psyc_amt
	pbp_c_oon_ihs_ded_comb_amt
	pbp_c_oon_outpt_group_num
	pbp_c_pos_yn
	pbp_c_pos_bendesc_amo
	pbp_c_pos_bendesc_subcats
	pbp_c_pos_maxplan_yn
	pbp_c_pos_maxplan_subcats
	pbp_c_pos_maxplan_amt
	pbp_c_pos_maxplan_per
	pbp_c_pos_maxplan_cov
	pbp_c_pos_maxenr_oopc_yn
	pbp_c_pos_maxenr_oopc_amt
	pbp_c_pos_ded_yn
	pbp_c_pos_ded_amt
	pbp_c_pos_maxenr_oopc_per
	pbp_c_pos_auth_yn
	pbp_c_pos_auth_subcats
	pbp_c_pos_auth
	pbp_c_pos_referral_yn
	pbp_c_pos_referral_subcats
	pbp_c_pos_ihs_maxplan_per
	pbp_c_pos_ihs_maxplan_cov
	pbp_c_pos_ihs_maxplan_yn
	pbp_c_pos_ihs_maxplan_type
	pbp_c_pos_ihs_maxplan_acu_amt
	pbp_c_pos_ihs_maxplan_psyc_amt
	pbp_c_pos_ihs_maxplan_comb_amt
	pbp_c_pos_coins_ihs_yn
	pbp_c_pos_coins_ihs_ben_type
	pbp_c_pos_coins_iha_pct
	pbp_c_pos_coins_iha_intrvl_num
	pbp_c_pos_coins_iha_pct_i1
	pbp_c_pos_coins_iha_bgnd_i1
	pbp_c_pos_coins_iha_endd_i1
	pbp_c_pos_coins_iha_pct_i2
	pbp_c_pos_coins_iha_bgnd_i2
	pbp_c_pos_coins_iha_endd_i2
	pbp_c_pos_coins_iha_pct_i3
	pbp_c_pos_coins_iha_bgnd_i3
	pbp_c_pos_coins_iha_endd_i3
	pbp_c_pos_coins_iha_cov
	pbp_c_pos_coins_iph_pct
	pbp_c_pos_coins_iph_intrvl_num
	pbp_c_pos_coins_iph_pct_i1
	pbp_c_pos_coins_iph_bgnd_i1
	pbp_c_pos_coins_iph_endd_i1
	pbp_c_pos_coins_iph_pct_i2
	pbp_c_pos_coins_iph_bgnd_i2
	pbp_c_pos_coins_iph_endd_i2
	pbp_c_pos_coins_iph_pct_i3
	pbp_c_pos_coins_iph_bgnd_i3
	pbp_c_pos_coins_iph_endd_i3
	pbp_c_pos_coins_iph_cov
	pbp_c_pos_copay_ihs_yn
	pbp_c_pos_copay_ihs_ben_type
	pbp_c_pos_copay_iha_ps_amt
	pbp_c_pos_copay_iha_intrvl_num
	pbp_c_pos_copay_iha_amt_i1
	pbp_c_pos_copay_iha_bgnd_i1
	pbp_c_pos_copay_iha_endd_i1
	pbp_c_pos_copay_iha_amt_i2
	pbp_c_pos_copay_iha_bgnd_i2
	pbp_c_pos_copay_iha_endd_i2
	pbp_c_pos_copay_iha_amt_i3
	pbp_c_pos_copay_iha_bgnd_i3
	pbp_c_pos_copay_iha_endd_i3
	pbp_c_pos_copay_iph_ps_amt
	pbp_c_pos_copay_iph_intrvl_num
	pbp_c_pos_copay_iph_amt_i1
	pbp_c_pos_copay_iph_bgnd_i1
	pbp_c_pos_copay_iph_endd_i1
	pbp_c_pos_copay_iph_amt_i2
	pbp_c_pos_copay_iph_bgnd_i2
	pbp_c_pos_copay_iph_endd_i2
	pbp_c_pos_copay_iph_amt_i3
	pbp_c_pos_copay_iph_bgnd_i3
	pbp_c_pos_copay_iph_endd_i3
	pbp_c_pos_ihs_ded_yn
	pbp_c_pos_ihs_ded_type
	pbp_c_pos_iha_ded_amt
	pbp_c_pos_iph_ded_amt
	pbp_c_pos_comb_ded_amt
	pbp_c_pos_outpt_group_num
	pbp_c_csr_yn
	pbp_c_csr_bendesc_subcats
	pbp_c_csr_coins_ihs_ben_type
	pbp_c_csr_coins_ihs_yn
	pbp_c_csr_coins_iha_pct
	pbp_c_csr_coins_iha_intrvl_num
	pbp_c_csr_coins_iha_pct_i1
	pbp_c_csr_coins_iha_bgnd_i1
	pbp_c_csr_coins_iha_endd_i1
	pbp_c_csr_coins_iha_pct_i2
	pbp_c_csr_coins_iha_bgnd_i2
	pbp_c_csr_coins_iha_endd_i2
	pbp_c_csr_coins_iha_pct_i3
	pbp_c_csr_coins_iha_bgnd_i3
	pbp_c_csr_coins_iha_endd_i3
	pbp_c_csr_coins_iph_pct
	pbp_c_csr_coins_iph_intrvl_num
	pbp_c_csr_coins_iph_pct_i1
	pbp_c_csr_coins_iph_bgnd_i1
	pbp_c_csr_coins_iph_endd_i1
	pbp_c_csr_coins_iph_pct_i2
	pbp_c_csr_coins_iph_bgnd_i2
	pbp_c_csr_coins_iph_endd_i2
	pbp_c_csr_coins_iph_pct_i3
	pbp_c_csr_coins_iph_bgnd_i3
	pbp_c_csr_coins_iph_endd_i3
	pbp_c_csr_copay_ihs_yn
	pbp_c_csr_copay_ihs_ben_type
	pbp_c_csr_copay_iha_ps_amt
	pbp_c_csr_copay_iha_intrvl_num
	pbp_c_csr_copay_iha_amt_i1
	pbp_c_csr_copay_iha_bgnd_i1
	pbp_c_csr_copay_iha_endd_i1
	pbp_c_csr_copay_iha_amt_i2
	pbp_c_csr_copay_iha_bgnd_i2
	pbp_c_csr_copay_iha_endd_i2
	pbp_c_csr_copay_iha_amt_i3
	pbp_c_csr_copay_iha_bgnd_i3
	pbp_c_csr_copay_iha_endd_i3
	pbp_c_csr_copay_iph_ps_amt
	pbp_c_csr_copay_iph_intrvl_num
	pbp_c_csr_copay_iph_amt_i1
	pbp_c_csr_copay_iph_bgnd_i1
	pbp_c_csr_copay_iph_endd_i1
	pbp_c_csr_copay_iph_amt_i2
	pbp_c_csr_copay_iph_bgnd_i2
	pbp_c_csr_copay_iph_endd_i2
	pbp_c_csr_copay_iph_amt_i3
	pbp_c_csr_copay_iph_bgnd_i3
	pbp_c_csr_copay_iph_endd_i3
	pbp_c_csr_ihs_ded_yn
	pbp_c_csr_ihs_ded_cost_type
	pbp_c_csr_ihs_ded_acu_amt
	pbp_c_csr_ihs_ded_psyc_amt
	pbp_c_csr_ihs_ded_comb_amt
	pbp_c_csr_outpt_group_num
	pbp_c_vt_us_outpt_group_num
	pbp_c_vt_fn_outpt_group_num
;


label
	pbp_a_hnumber                    = 'H Number'
	pbp_a_plan_identifier            = 'Plan ID'
	segment_id                       = 'Segment ID'
	pbp_a_ben_cov                    = 'Coverage Criteria'
	pbp_a_plan_type                  = 'Plan Type'
	orgtype                          = 'Organization Type'
	bid_id                           = 'Bid ID'
	version                          = 'Version Number'
	pbp_c_oon_yn                     = 'OON Benefit YN'
	pbp_c_oon_bendesc_cats           = 'OON NPFFS Bnft Subsrvc Cat'
	pbp_c_oon_coins_ihs_yn           = 'OON Benefit IHS Coinsurance YN'
	pbp_c_oon_coins_ihs_ben_type     = 'OON Benefit IHS Coins Type'
	pbp_c_oon_coins_iha_pct          = 'OON Benefit IHA Coins Pct'
	pbp_c_oon_coins_iha_intrvl_num   = 'OON IHA Coins Interval Num'
	pbp_c_oon_coins_iha_pct_i1       = 'OON IHA Coins Pct Intrvl 1'
	pbp_c_oon_coins_iha_bgnd_i1      = 'OON IHA Coins BgnD Intrvl 1'
	pbp_c_oon_coins_iha_endd_i1      = 'OON IHA Coins EndD Intrvl 1'
	pbp_c_oon_coins_iha_pct_i2       = 'OON IHA Coins Pct Intrvl 2'
	pbp_c_oon_coins_iha_bgnd_i2      = 'OON IHA Coins BgnD Intrvl 2'
	pbp_c_oon_coins_iha_endd_i2      = 'OON IHA Coins EndD Intrvl 2'
	pbp_c_oon_coins_iha_pct_i3       = 'OON IHA Coins Pct Intrvl 3'
	pbp_c_oon_coins_iha_bgnd_i3      = 'OON IHA Coins BgnD Intrvl 3'
	pbp_c_oon_coins_iha_endd_i3      = 'OON IHA Coins EndD Intrvl 3'
	pbp_c_oon_coins_iha_cov          = 'OON IHA Coins Cov'
	pbp_c_oon_coins_iph_pct          = 'OON Benefit IPH Coins Pct'
	pbp_c_oon_coins_iph_intrvl_num   = 'OON IPH Coins Interval Num'
	pbp_c_oon_coins_iph_pct_i1       = 'OON IPH Coins Pct Intrvl 1'
	pbp_c_oon_coins_iph_bgnd_i1      = 'OON IPH Coins BgnD Intrvl 1'
	pbp_c_oon_coins_iph_endd_i1      = 'OON IPH Coins EndD Intrvl 1'
	pbp_c_oon_coins_iph_pct_i2       = 'OON IPH Coins Pct Intrvl 2'
	pbp_c_oon_coins_iph_bgnd_i2      = 'OON IPH Coins BgnD Intrvl 2'
	pbp_c_oon_coins_iph_endd_i2      = 'OON IPH Coins EndD Intrvl 2'
	pbp_c_oon_coins_iph_pct_i3       = 'OON IPH Coins Pct Intrvl 3'
	pbp_c_oon_coins_iph_bgnd_i3      = 'OON IPH Coins BgnD Intrvl 3'
	pbp_c_oon_coins_iph_endd_i3      = 'OON IPH Coins EndD Intrvl 3'
	pbp_c_oon_coins_iph_cov          = 'OON IPH Coins Cov'
	pbp_c_oon_copay_ihs_yn           = 'OON Benefit IHS Copayment YN'
	pbp_c_oon_copay_ihs_ben_type     = 'OON Benefit IHS Copay Type'
	pbp_c_oon_copay_iha_ps_amt       = 'OON Benefit IHA Copay PS Amt'
	pbp_c_oon_copay_iha_intrvl_num   = 'OON IHA Copay Interval Num'
	pbp_c_oon_copay_iha_amt_i1       = 'OON IHA Copay Amt Intrvl 1'
	pbp_c_oon_copay_iha_bgnd_i1      = 'OON IHA Copay BgnD Intrvl 1'
	pbp_c_oon_copay_iha_endd_i1      = 'OON IHA Copay EndD Intrvl 1'
	pbp_c_oon_copay_iha_amt_i2       = 'OON IHA Copay Amt Intrvl 2'
	pbp_c_oon_copay_iha_bgnd_i2      = 'OON IHA Copay BgnD Intrvl 2'
	pbp_c_oon_copay_iha_endd_i2      = 'OON IHA Copay EndD Intrvl 2'
	pbp_c_oon_copay_iha_amt_i3       = 'OON IHA Copay Amt Intrvl 3'
	pbp_c_oon_copay_iha_bgnd_i3      = 'OON IHA Copay BgnD Intrvl 3'
	pbp_c_oon_copay_iha_endd_i3      = 'OON IHA Copay EndD Intrvl 3'
	pbp_c_oon_copay_iph_ps_amt       = 'OON Benefit IPH Copay PS Amt'
	pbp_c_oon_copay_iph_intrvl_num   = 'OON IPH Copay Interval Num'
	pbp_c_oon_copay_iph_amt_i1       = 'OON IPH Copay Amt Intrvl 1'
	pbp_c_oon_copay_iph_bgnd_i1      = 'OON IPH Copay BgnD Intrvl 1'
	pbp_c_oon_copay_iph_endd_i1      = 'OON IPH Copay EndD Intrvl 1'
	pbp_c_oon_copay_iph_amt_i2       = 'OON IPH Copay Amt Intrvl 2'
	pbp_c_oon_copay_iph_bgnd_i2      = 'OON IPH Copay BgnD Intrvl 2'
	pbp_c_oon_copay_iph_endd_i2      = 'OON IPH Copay EndD Intrvl 2'
	pbp_c_oon_copay_iph_amt_i3       = 'OON IPH Copay Amt Intrvl 3'
	pbp_c_oon_copay_iph_bgnd_i3      = 'OON IPH Copay BgnD Intrvl 3'
	pbp_c_oon_copay_iph_endd_i3      = 'OON IPH Copay EndD Intrvl 3'
	pbp_c_oon_ihs_ded_yn             = 'OON IHS Deductible YN'
	pbp_c_oon_ihs_ded_cost_type      = 'OON IHS Deductible Cost Type'
	pbp_c_oon_ihs_ded_acu_amt        = 'OON IHS Deductible Acute Amt'
	pbp_c_oon_ihs_ded_psyc_amt       = 'OON IHS Deductible Psyc Amt'
	pbp_c_oon_ihs_ded_comb_amt       = 'OON IHS Deductible Combo Amt'
	pbp_c_oon_outpt_group_num        = 'OON Out Pt Group Num'
	pbp_c_pos_yn                     = 'POS YN'
	pbp_c_pos_bendesc_amo            = 'POS Benefit AMO'
	pbp_c_pos_bendesc_subcats        = 'POS Benefit Subsrvc Categories'
	pbp_c_pos_maxplan_yn             = 'POS Benefit Max Plan YN'
	pbp_c_pos_maxplan_subcats        = 'POS MaxPlan Subsrvc Categories'
	pbp_c_pos_maxplan_amt            = 'POS Benefit Max Plan Amt'
	pbp_c_pos_maxplan_per            = 'POS Benefit Max Plan Per'
	pbp_c_pos_maxplan_cov            = 'POS Benefit Max Plan Cov'
	pbp_c_pos_maxenr_oopc_yn         = 'POS Enr OOP Max YN'
	pbp_c_pos_maxenr_oopc_amt        = 'POS Enr OOP Max Amt'
	pbp_c_pos_ded_yn                 = 'POS Out Pt Deductible YN'
	pbp_c_pos_ded_amt                = 'POS Out Pt Deductible Amt'
	pbp_c_pos_maxenr_oopc_per        = 'POS Benefit Max Enr OOPC Per'
	pbp_c_pos_auth_yn                = 'POS Benefit Auth Required YN'
	pbp_c_pos_auth_subcats           = 'POS Auth Subsrvc Categories'
	pbp_c_pos_auth                   = 'POS Benefit Auth'
	pbp_c_pos_referral_yn            = 'POS Referral Required YN'
	pbp_c_pos_referral_subcats       = 'POS Referral Subsvc Categories'
	pbp_c_pos_ihs_maxplan_per        = 'POS Max Plan Per'
	pbp_c_pos_ihs_maxplan_cov        = 'POS Max Plan Cov'
	pbp_c_pos_ihs_maxplan_yn         = 'POS IHS MPBC YN'
	pbp_c_pos_ihs_maxplan_type       = 'POS IHS MPBC Cost Type'
	pbp_c_pos_ihs_maxplan_acu_amt    = 'POS MPBC Deductible Acute Amt'
	pbp_c_pos_ihs_maxplan_psyc_amt   = 'POS IHS MPBC Psyc Amt'
	pbp_c_pos_ihs_maxplan_comb_amt   = 'POS IHS MPBC Combo Amt'
	pbp_c_pos_coins_ihs_yn           = 'POS Benefit IHS Coinsurance YN'
	pbp_c_pos_coins_ihs_ben_type     = 'POS Benefit IHS Coins Type'
	pbp_c_pos_coins_iha_pct          = 'POS Benefit IHA Coins Pct'
	pbp_c_pos_coins_iha_intrvl_num   = 'POS IHA Coins Interval Num'
	pbp_c_pos_coins_iha_pct_i1       = 'POS IHA Coins Pct Intrvl 1'
	pbp_c_pos_coins_iha_bgnd_i1      = 'POS IHA Coins BgnD Intrvl 1'
	pbp_c_pos_coins_iha_endd_i1      = 'POS IHA Coins EndD Intrvl 1'
	pbp_c_pos_coins_iha_pct_i2       = 'POS IHA Coins Pct Intrvl 2'
	pbp_c_pos_coins_iha_bgnd_i2      = 'POS IHA Coins BgnD Intrvl 2'
	pbp_c_pos_coins_iha_endd_i2      = 'POS IHA Coins EndD Intrvl 2'
	pbp_c_pos_coins_iha_pct_i3       = 'POS IHA Coins Pct Intrvl 3'
	pbp_c_pos_coins_iha_bgnd_i3      = 'POS IHA Coins BgnD Intrvl 3'
	pbp_c_pos_coins_iha_endd_i3      = 'POS IHA Coins EndD Intrvl 3'
	pbp_c_pos_coins_iha_cov          = 'POS IHA Coins Cov'
	pbp_c_pos_coins_iph_pct          = 'POS Benefit IPH Coins Pct'
	pbp_c_pos_coins_iph_intrvl_num   = 'POS IPH Coins Interval Num'
	pbp_c_pos_coins_iph_pct_i1       = 'POS IPH Coins Pct Intrvl 1'
	pbp_c_pos_coins_iph_bgnd_i1      = 'POS IPH Coins BgnD Intrvl 1'
	pbp_c_pos_coins_iph_endd_i1      = 'POS IPH Coins EndD Intrvl 1'
	pbp_c_pos_coins_iph_pct_i2       = 'POS IPH Coins Pct Intrvl 2'
	pbp_c_pos_coins_iph_bgnd_i2      = 'POS IPH Coins BgnD Intrvl 2'
	pbp_c_pos_coins_iph_endd_i2      = 'POS IPH Coins EndD Intrvl 2'
	pbp_c_pos_coins_iph_pct_i3       = 'POS IPH Coins Pct Intrvl 3'
	pbp_c_pos_coins_iph_bgnd_i3      = 'POS IPH Coins BgnD Intrvl 3'
	pbp_c_pos_coins_iph_endd_i3      = 'POS IPH Coins EndD Intrvl 3'
	pbp_c_pos_coins_iph_cov          = 'POS IPH Coins Cov'
	pbp_c_pos_copay_ihs_yn           = 'POS Benefit IHS Copayment YN'
	pbp_c_pos_copay_ihs_ben_type     = 'POS Benefit IHS Copay Type'
	pbp_c_pos_copay_iha_ps_amt       = 'POS Benefit IHA Copay PS Amt'
	pbp_c_pos_copay_iha_intrvl_num   = 'POS IHA Copay Interval Num'
	pbp_c_pos_copay_iha_amt_i1       = 'POS IHA Copay Amt Intrvl 1'
	pbp_c_pos_copay_iha_bgnd_i1      = 'POS IHA Copay BgnD Intrvl 1'
	pbp_c_pos_copay_iha_endd_i1      = 'POS IHA Copay EndD Intrvl 1'
	pbp_c_pos_copay_iha_amt_i2       = 'POS IHA Copay Amt Intrvl 2'
	pbp_c_pos_copay_iha_bgnd_i2      = 'POS IHA Copay BgnD Intrvl 2'
	pbp_c_pos_copay_iha_endd_i2      = 'POS IHA Copay EndD Intrvl 2'
	pbp_c_pos_copay_iha_amt_i3       = 'POS IHA Copay Amt Intrvl 3'
	pbp_c_pos_copay_iha_bgnd_i3      = 'POS IHA Copay BgnD Intrvl 3'
	pbp_c_pos_copay_iha_endd_i3      = 'POS IHA Copay EndD Intrvl 3'
	pbp_c_pos_copay_iph_ps_amt       = 'POS Benefit IPH Copay PS Amt'
	pbp_c_pos_copay_iph_intrvl_num   = 'POS IPH Copay Interval Num'
	pbp_c_pos_copay_iph_amt_i1       = 'POS IPH Copay Amt Intrvl 1'
	pbp_c_pos_copay_iph_bgnd_i1      = 'POS IPH Copay BgnD Intrvl 1'
	pbp_c_pos_copay_iph_endd_i1      = 'POS IPH Copay EndD Intrvl 1'
	pbp_c_pos_copay_iph_amt_i2       = 'POS IPH Copay Amt Intrvl 2'
	pbp_c_pos_copay_iph_bgnd_i2      = 'POS IPH Copay BgnD Intrvl 2'
	pbp_c_pos_copay_iph_endd_i2      = 'POS IPH Copay EndD Intrvl 2'
	pbp_c_pos_copay_iph_amt_i3       = 'POS IPH Copay Amt Intrvl 3'
	pbp_c_pos_copay_iph_bgnd_i3      = 'POS IPH Copay BgnD Intrvl 3'
	pbp_c_pos_copay_iph_endd_i3      = 'POS IPH Copay EndD Intrvl 3'
	pbp_c_pos_ihs_ded_yn             = 'POS IHS Deductible YN'
	pbp_c_pos_ihs_ded_type           = 'POS IHS Deductible Cost Type'
	pbp_c_pos_iha_ded_amt            = 'OON IHS Deductible Acute Amt'
	pbp_c_pos_iph_ded_amt            = 'OON IHS Deductible Psyc Amt'
	pbp_c_pos_comb_ded_amt           = 'OON IHS Deductible Combo Amt'
	pbp_c_pos_outpt_group_num        = 'POS Out Pt Group Num'
	pbp_c_csr_yn                     = 'CSR YN'
	pbp_c_csr_bendesc_subcats        = 'CSR Ben Subsrvc Categories'
	pbp_c_csr_coins_ihs_ben_type     = 'CSR Benefit IHS Coins Type'
	pbp_c_csr_coins_ihs_yn           = 'CSR Ben IHS Coinsurance YN'
	pbp_c_csr_coins_iha_pct          = 'CSR Benefit IHA Coins Pct'
	pbp_c_csr_coins_iha_intrvl_num   = 'CSR IHA Coins Interval Num'
	pbp_c_csr_coins_iha_pct_i1       = 'CSR IHA Coins Pct Intrvl 1'
	pbp_c_csr_coins_iha_bgnd_i1      = 'CSR IHA Coins BgnD Intrvl 1'
	pbp_c_csr_coins_iha_endd_i1      = 'CSR IHA Coins EndD Intrvl 1'
	pbp_c_csr_coins_iha_pct_i2       = 'CSR IHA Coins Pct Intrvl 2'
	pbp_c_csr_coins_iha_bgnd_i2      = 'CSR IHA Coins BgnD Intrvl 2'
	pbp_c_csr_coins_iha_endd_i2      = 'CSR IHA Coins EndD Intrvl 2'
	pbp_c_csr_coins_iha_pct_i3       = 'CSR IHA Coins Pct Intrvl 3'
	pbp_c_csr_coins_iha_bgnd_i3      = 'CSR IHA Coins BgnD Intrvl 3'
	pbp_c_csr_coins_iha_endd_i3      = 'CSR IHA Coins EndD Intrvl 3'
	pbp_c_csr_coins_iph_pct          = 'CSR Benefit IPH Coins Pct'
	pbp_c_csr_coins_iph_intrvl_num   = 'CSR IPH Coins Interval Num'
	pbp_c_csr_coins_iph_pct_i1       = 'CSR IPH Coins Pct Intrvl 1'
	pbp_c_csr_coins_iph_bgnd_i1      = 'CSR IPH Coins BgnD Intrvl 1'
	pbp_c_csr_coins_iph_endd_i1      = 'CSR IPH Coins EndD Intrvl 1'
	pbp_c_csr_coins_iph_pct_i2       = 'CSR IPH Coins Pct Intrvl 2'
	pbp_c_csr_coins_iph_bgnd_i2      = 'CSR IPH Coins BgnD Intrvl 2'
	pbp_c_csr_coins_iph_endd_i2      = 'CSR IPH Coins EndD Intrvl 2'
	pbp_c_csr_coins_iph_pct_i3       = 'CSR IPH Coins Pct Intrvl 3'
	pbp_c_csr_coins_iph_bgnd_i3      = 'CSR IPH Coins BgnD Intrvl 3'
	pbp_c_csr_coins_iph_endd_i3      = 'CSR IPH Coins EndD Intrvl 3'
	pbp_c_csr_copay_ihs_yn           = 'CSR Benefit IHS Copayment YN'
	pbp_c_csr_copay_ihs_ben_type     = 'CSR Benefit IHS Copay Type'
	pbp_c_csr_copay_iha_ps_amt       = 'CSR Benefit IHA Copay PS Amt'
	pbp_c_csr_copay_iha_intrvl_num   = 'CSR IHA Copay Interval Num'
	pbp_c_csr_copay_iha_amt_i1       = 'CSR IHA Copay Amt Intrvl 1'
	pbp_c_csr_copay_iha_bgnd_i1      = 'CSR IHA Copay BgnD Intrvl 1'
	pbp_c_csr_copay_iha_endd_i1      = 'CSR IHA Copay EndD Intrvl 1'
	pbp_c_csr_copay_iha_amt_i2       = 'CSR IHA Copay Amt Intrvl 2'
	pbp_c_csr_copay_iha_bgnd_i2      = 'CSR IHA Copay BgnD Intrvl 2'
	pbp_c_csr_copay_iha_endd_i2      = 'CSR IHA Copay EndD Intrvl 2'
	pbp_c_csr_copay_iha_amt_i3       = 'CSR IHA Copay Amt Intrvl 3'
	pbp_c_csr_copay_iha_bgnd_i3      = 'CSR IHA Copay BgnD Intrvl 3'
	pbp_c_csr_copay_iha_endd_i3      = 'CSR IHA Copay EndD Intrvl 3'
	pbp_c_csr_copay_iph_ps_amt       = 'CSR Benefit IPH Copay PS Amt'
	pbp_c_csr_copay_iph_intrvl_num   = 'CSR IPH Copay Interval Num'
	pbp_c_csr_copay_iph_amt_i1       = 'CSR IPH Copay Amt Intrvl 1'
	pbp_c_csr_copay_iph_bgnd_i1      = 'CSR IPH Copay BgnD Intrvl 1'
	pbp_c_csr_copay_iph_endd_i1      = 'CSR IPH Copay EndD Intrvl 1'
	pbp_c_csr_copay_iph_amt_i2       = 'CSR IPH Copay Amt Intrvl 2'
	pbp_c_csr_copay_iph_bgnd_i2      = 'CSR IPH Copay BgnD Intrvl 2'
	pbp_c_csr_copay_iph_endd_i2      = 'CSR IPH Copay EndD Intrvl 2'
	pbp_c_csr_copay_iph_amt_i3       = 'CSR IPH Copay Amt Intrvl 3'
	pbp_c_csr_copay_iph_bgnd_i3      = 'CSR IPH Copay BgnD Intrvl 3'
	pbp_c_csr_copay_iph_endd_i3      = 'CSR IPH Copay EndD Intrvl 3'
	pbp_c_csr_ihs_ded_yn             = 'CSR IHS Ded YN'
	pbp_c_csr_ihs_ded_cost_type      = 'CSR IHS Deductible Cost Type'
	pbp_c_csr_ihs_ded_acu_amt        = 'CSR IHS Deductible Acute Amt'
	pbp_c_csr_ihs_ded_psyc_amt       = 'CSR IHS Deductible Psyc Amt'
	pbp_c_csr_ihs_ded_comb_amt       = 'CSR IHS Deductible Combo Amt'
	pbp_c_csr_outpt_group_num        = 'CSR Out Pt Group Num'
	pbp_c_vt_us_outpt_group_num      = 'V/T US Out Pt Group Num'
	pbp_c_vt_fn_outpt_group_num      = 'V/T Frgn Out Pt Group Num'
;

run;

proc sort data = pbp_Section_C_1 out=out.pbp_Section_C_1;
  by Pbp_a_hnumber pbp_a_plan_identifier segment_id;
run;

proc print data = out.pbp_Section_C_1(obs = 10);
  title 'pbp_Section_C_1 file ';
run;

proc means data = out.pbp_Section_C_1;
  title 'pbp_Section_C_1 file ';
run;

proc freq data = out.pbp_Section_C_1;
table
	pbp_a_ben_cov
	pbp_a_plan_type
	orgtype
	pbp_c_oon_yn
	pbp_c_oon_coins_ihs_yn
	pbp_c_oon_coins_ihs_ben_type
	pbp_c_oon_coins_iha_intrvl_num
	pbp_c_oon_coins_iha_cov
	pbp_c_oon_coins_iph_intrvl_num
	pbp_c_oon_coins_iph_cov
	pbp_c_oon_copay_ihs_yn
	pbp_c_oon_copay_ihs_ben_type
	pbp_c_oon_copay_iha_intrvl_num
	pbp_c_oon_copay_iph_intrvl_num
	pbp_c_oon_ihs_ded_yn
	pbp_c_oon_ihs_ded_cost_type
	pbp_c_pos_yn
	pbp_c_pos_bendesc_amo
	pbp_c_pos_maxplan_yn
	pbp_c_pos_maxplan_per
	pbp_c_pos_maxplan_cov
	pbp_c_pos_maxenr_oopc_yn
	pbp_c_pos_ded_yn
	pbp_c_pos_maxenr_oopc_per
	pbp_c_pos_auth_yn
	pbp_c_pos_auth
	pbp_c_pos_referral_yn
	pbp_c_pos_ihs_maxplan_per
	pbp_c_pos_ihs_maxplan_cov
	pbp_c_pos_ihs_maxplan_yn
	pbp_c_pos_ihs_maxplan_type
	pbp_c_pos_coins_ihs_yn
	pbp_c_pos_coins_ihs_ben_type
	pbp_c_pos_coins_iha_intrvl_num
	pbp_c_pos_coins_iha_cov
	pbp_c_pos_coins_iph_intrvl_num
	pbp_c_pos_coins_iph_cov
	pbp_c_pos_copay_ihs_yn
	pbp_c_pos_copay_ihs_ben_type
	pbp_c_pos_copay_iha_intrvl_num
	pbp_c_pos_copay_iph_intrvl_num
	pbp_c_pos_ihs_ded_yn
	pbp_c_pos_ihs_ded_type
	pbp_c_csr_yn
	pbp_c_csr_coins_ihs_ben_type
	pbp_c_csr_coins_ihs_yn
	pbp_c_csr_coins_iha_intrvl_num
	pbp_c_csr_coins_iph_intrvl_num
	pbp_c_csr_copay_ihs_yn
	pbp_c_csr_copay_ihs_ben_type
	pbp_c_csr_copay_iha_intrvl_num
	pbp_c_csr_copay_iph_intrvl_num
	pbp_c_csr_ihs_ded_yn
	pbp_c_csr_ihs_ded_cost_type
/ missing;
run;

proc contents data = out.pbp_Section_C_1;
  title 'pbp_Section_C_1 data';
run;
